+ date
Sat Apr  1 23:22:55 UTC 2023
+ apt-get source --only-source reprepro
Reading package lists...
NOTICE: 'reprepro' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/brlink/reprepro.git -b debian
Please use:
git clone https://salsa.debian.org/brlink/reprepro.git -b debian
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 813 kB of source archives.
Get:1 http://archive.trisquel.info/trisquel aramo/main reprepro 5.3.0-1.4+11.0trisquel1 (dsc) [1680 B]
Get:2 http://archive.trisquel.info/trisquel aramo/main reprepro 5.3.0-1.4+11.0trisquel1 (tar) [812 kB]
dpkg-source: info: extracting reprepro in reprepro-5.3.0
dpkg-source: info: unpacking reprepro_5.3.0-1.4+11.0trisquel1.tar.gz
Fetched 813 kB in 1s (1515 kB/s)
W: Download is performed unsandboxed as root as file 'reprepro_5.3.0-1.4+11.0trisquel1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ apt-get build-dep -y --only-source reprepro
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev debhelper debugedit dh-autoreconf
  dh-strip-nondeterminism dwz libarchive-dev libassuan-dev libdb-dev
  libdb5.3-dev libdebhelper-perl libfile-stripnondeterminism-perl
  libgpg-error-dev libgpgme-dev libsub-override-perl libtool m4 po-debconf
0 upgraded, 21 newly installed, 0 to remove and 1 not upgraded.
Need to get 5137 kB of archives.
After this operation, 16.1 MB of additional disk space will be used.
Get:1 http://archive.trisquel.info/trisquel aramo/main amd64 m4 amd64 1.4.18-5ubuntu2 [199 kB]
Get:2 http://archive.trisquel.info/trisquel aramo/main amd64 autoconf all 2.71-2 [338 kB]
Get:3 http://archive.trisquel.info/trisquel aramo/main amd64 autotools-dev all 20220109.1 [44.9 kB]
Get:4 http://archive.trisquel.info/trisquel aramo/main amd64 automake all 1:1.16.5-1.3 [558 kB]
Get:5 http://archive.trisquel.info/trisquel aramo/main amd64 autopoint all 0.21-4ubuntu4 [422 kB]
Get:6 http://archive.trisquel.info/trisquel aramo/main amd64 libdebhelper-perl all 13.6ubuntu1 [67.2 kB]
Get:7 http://archive.trisquel.info/trisquel aramo/main amd64 libtool all 2.4.6-15build2 [164 kB]
Get:8 http://archive.trisquel.info/trisquel aramo/main amd64 dh-autoreconf all 20 [16.1 kB]
Get:9 http://archive.trisquel.info/trisquel aramo/main amd64 libsub-override-perl all 0.09-2 [9532 B]
Get:10 http://archive.trisquel.info/trisquel aramo/main amd64 libfile-stripnondeterminism-perl all 1.13.0-1 [18.1 kB]
Get:11 http://archive.trisquel.info/trisquel aramo/main amd64 dh-strip-nondeterminism all 1.13.0-1 [5344 B]
Get:12 http://archive.trisquel.info/trisquel aramo/main amd64 debugedit amd64 1:5.0-4build1 [47.2 kB]
Get:13 http://archive.trisquel.info/trisquel aramo/main amd64 dwz amd64 0.14-1build2 [105 kB]
Get:14 http://archive.trisquel.info/trisquel aramo/main amd64 po-debconf all 1.0.21+nmu1 [233 kB]
Get:15 http://archive.trisquel.info/trisquel aramo/main amd64 debhelper all 13.6ubuntu1 [923 kB]
Get:16 http://archive.trisquel.info/trisquel aramo/main amd64 libarchive-dev amd64 3.6.0-1ubuntu1 [581 kB]
Get:17 http://archive.trisquel.info/trisquel aramo/main amd64 libgpg-error-dev amd64 1.43-3+11.0trisquel0 [129 kB]
Get:18 http://archive.trisquel.info/trisquel aramo/main amd64 libassuan-dev amd64 2.5.5-1build1 [96.3 kB]
Get:19 http://archive.trisquel.info/trisquel aramo/main amd64 libdb5.3-dev amd64 5.3.28+dfsg1-0.8ubuntu3 [830 kB]
Get:20 http://archive.trisquel.info/trisquel aramo/main amd64 libdb-dev amd64 1:5.3.21~exp1ubuntu4 [2236 B]
Get:21 http://archive.trisquel.info/trisquel aramo/main amd64 libgpgme-dev amd64 1.16.0-1.2ubuntu4 [349 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 5137 kB in 1s (7847 kB/s)
Selecting previously unselected package m4.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 123231 files and directories currently installed.)
Preparing to unpack .../00-m4_1.4.18-5ubuntu2_amd64.deb ...
Unpacking m4 (1.4.18-5ubuntu2) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../01-autoconf_2.71-2_all.deb ...
Unpacking autoconf (2.71-2) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../02-autotools-dev_20220109.1_all.deb ...
Unpacking autotools-dev (20220109.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../03-automake_1%3a1.16.5-1.3_all.deb ...
Unpacking automake (1:1.16.5-1.3) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../04-autopoint_0.21-4ubuntu4_all.deb ...
Unpacking autopoint (0.21-4ubuntu4) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../05-libdebhelper-perl_13.6ubuntu1_all.deb ...
Unpacking libdebhelper-perl (13.6ubuntu1) ...
Selecting previously unselected package libtool.
Preparing to unpack .../06-libtool_2.4.6-15build2_all.deb ...
Unpacking libtool (2.4.6-15build2) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../07-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../08-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../09-libfile-stripnondeterminism-perl_1.13.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.13.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../10-dh-strip-nondeterminism_1.13.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.13.0-1) ...
Selecting previously unselected package debugedit.
Preparing to unpack .../11-debugedit_1%3a5.0-4build1_amd64.deb ...
Unpacking debugedit (1:5.0-4build1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../12-dwz_0.14-1build2_amd64.deb ...
Unpacking dwz (0.14-1build2) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../13-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../14-debhelper_13.6ubuntu1_all.deb ...
Unpacking debhelper (13.6ubuntu1) ...
Selecting previously unselected package libarchive-dev:amd64.
Preparing to unpack .../15-libarchive-dev_3.6.0-1ubuntu1_amd64.deb ...
Unpacking libarchive-dev:amd64 (3.6.0-1ubuntu1) ...
Selecting previously unselected package libgpg-error-dev.
Preparing to unpack .../16-libgpg-error-dev_1.43-3+11.0trisquel0_amd64.deb ...
Unpacking libgpg-error-dev (1.43-3+11.0trisquel0) ...
Selecting previously unselected package libassuan-dev.
Preparing to unpack .../17-libassuan-dev_2.5.5-1build1_amd64.deb ...
Unpacking libassuan-dev (2.5.5-1build1) ...
Selecting previously unselected package libdb5.3-dev.
Preparing to unpack .../18-libdb5.3-dev_5.3.28+dfsg1-0.8ubuntu3_amd64.deb ...
Unpacking libdb5.3-dev (5.3.28+dfsg1-0.8ubuntu3) ...
Selecting previously unselected package libdb-dev:amd64.
Preparing to unpack .../19-libdb-dev_1%3a5.3.21~exp1ubuntu4_amd64.deb ...
Unpacking libdb-dev:amd64 (1:5.3.21~exp1ubuntu4) ...
Selecting previously unselected package libgpgme-dev.
Preparing to unpack .../20-libgpgme-dev_1.16.0-1.2ubuntu4_amd64.deb ...
Unpacking libgpgme-dev (1.16.0-1.2ubuntu4) ...
Setting up po-debconf (1.0.21+nmu1) ...
Setting up libdebhelper-perl (13.6ubuntu1) ...
Setting up m4 (1.4.18-5ubuntu2) ...
Setting up autotools-dev (20220109.1) ...
Setting up libgpg-error-dev (1.43-3+11.0trisquel0) ...
Setting up autopoint (0.21-4ubuntu4) ...
Setting up libassuan-dev (2.5.5-1build1) ...
Setting up libgpgme-dev (1.16.0-1.2ubuntu4) ...
Setting up autoconf (2.71-2) ...
Setting up dwz (0.14-1build2) ...
Setting up libdb5.3-dev (5.3.28+dfsg1-0.8ubuntu3) ...
Setting up libarchive-dev:amd64 (3.6.0-1ubuntu1) ...
Setting up debugedit (1:5.0-4build1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up automake (1:1.16.5-1.3) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
Setting up libfile-stripnondeterminism-perl (1.13.0-1) ...
Setting up libtool (2.4.6-15build2) ...
Setting up dh-autoreconf (20) ...
Setting up libdb-dev:amd64 (1:5.3.21~exp1ubuntu4) ...
Setting up dh-strip-nondeterminism (1.13.0-1) ...
Setting up debhelper (13.6ubuntu1) ...
Processing triggers for man-db (2.10.2-1) ...
+ find . -maxdepth 1 -name reprepro* -type d
+ cd ./reprepro-5.3.0
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package reprepro
dpkg-buildpackage: info: source version 5.3.0-1.4+11.0trisquel1
dpkg-buildpackage: info: source distribution aramo
dpkg-buildpackage: info: source changed by Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh_testdir
dh_testroot
rm -f build-arch-stamp build-indep-stamp
# clean up after the build process.
if [ -e config.status ] ; then /usr/bin/make distclean ; fi
! test -f config.log
dh_clean
 dpkg-source -b .
dpkg-source: warning: no source format specified in debian/source/format, see dpkg-source(1)
dpkg-source: warning: native package version may not have a revision
dpkg-source: info: using source format '1.0'
dpkg-source: info: building reprepro in reprepro_5.3.0-1.4+11.0trisquel1.tar.gz
dpkg-source: info: building reprepro in reprepro_5.3.0-1.4+11.0trisquel1.dsc
 debian/rules build
dh_testdir
./configure --build x86_64-linux-gnu \
	    --prefix=/usr --mandir=\${prefix}/share/man \
	    --with-liblzma --with-libgpgme \
	    --with-libbz2 --with-libarchive \
	    --disable-dependency-tracking \
	    CFLAGS='-g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow' CPPFLAGS='-Wdate-time -D_FORTIFY_SOURCE=2' LDFLAGS='-Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-z,now -Wl,-z,defs' \
|| ( echo configure failed with $? ; echo BEGIN config.log: ; \
     cat config.log ; echo "END config.log" ; exit 1 )
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... none
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for gcc option to accept ISO C99... none needed
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether byte ordering is bigendian... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking for closefrom... yes
checking for strndup... yes
checking for dprintf... yes
checking for tdestroy... yes
checking for mkostemp... yes
checking for vasprintf... yes
checking db.h usability... yes
checking db.h presence... yes
checking for db.h... yes
checking for db_create in -ldb... yes
checking for gzopen in -lz... yes
checking gpgme.h usability... yes
checking gpgme.h presence... yes
checking for gpgme.h... yes
checking for gpg_strsource in -lgpg-error... yes
checking for gpgme_get_protocol_name in -lgpgme... yes
checking for BZ2_bzCompressInit in -lbz2... yes
checking for lzma_easy_encoder in -llzma... yes
checking for archive_read_new in -larchive... yes
checking archive.h usability... yes
checking archive.h presence... yes
checking for archive.h... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating docs/Makefile
config.status: creating tests/Makefile
config.status: creating config.h
config.status: executing depfiles commands
dh_testdir
/usr/bin/make
make[1]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
/usr/bin/make  all-recursive
make[2]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
Making all in docs
make[3]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/docs'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/docs'
Making all in tests
make[3]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/tests'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/tests'
make[3]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o outhook.o outhook.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o descriptions.o descriptions.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o sizes.o sizes.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o sourcecheck.o sourcecheck.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o byhandhook.o byhandhook.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o archallflood.o archallflood.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o needbuild.o needbuild.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o globmatch.o globmatch.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o printlistformat.o printlistformat.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o diffindex.o diffindex.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o rredpatch.o rredpatch.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o pool.o pool.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o atoms.o atoms.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o uncompression.o uncompression.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o remoterepository.o remoterepository.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o indexfile.o indexfile.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o copypackages.o copypackages.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o sourceextraction.o sourceextraction.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o checksums.o checksums.c
checksums.c:496:94: warning: argument 3 of type '_Bool *' declared as a pointer [-Warray-parameter=]
  496 | retvalue checksums_combine(struct checksums **checksums_p, const struct checksums *by, bool *improvedhashes) /*@requires only *checksums_p @*/ /*@ensures only *checksums_p @*/ {
      |                                                                                              ^
In file included from globals.h:13,
                 from error.h:5,
                 from checksums.c:31:
checksums.h:100:85: note: previously declared as an array '_Bool[3]'
  100 | retvalue checksums_combine(struct checksums **, const struct checksums *, /*@null@*/bool[cs_hashCOUNT]);
      |                                                                                     ^
checksums.c:881:76: warning: argument 2 of type '_Bool *' declared as a pointer [-Warray-parameter=]
  881 | void checksumsarray_resetunsupported(const struct checksumsarray *a, bool *types) {
      |                                                                            ^
In file included from globals.h:13,
                 from error.h:5,
                 from checksums.c:31:
checksums.h:112:69: note: previously declared as an array '_Bool[3]'
  112 | void checksumsarray_resetunsupported(const struct checksumsarray *, bool[cs_hashCOUNT]);
      |                                                                     ^
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o readtextfile.o readtextfile.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o filecntl.o filecntl.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o sha1.o sha1.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o sha256.o sha256.c
sha256.c:175:50: warning: argument 2 of type 'uint8_t *' {aka 'unsigned char *'} declared as a pointer [-Warray-parameter=]
  175 | SHA256Final(struct SHA256_Context *ctx, uint8_t *digest)
      |                                         ~~~~~~~~~^~~~~~
In file included from sha256.c:17:
sha256.h:18:67: note: previously declared as an array 'uint8_t[32]' {aka 'unsigned char[32]'}
   18 | void SHA256Final(struct SHA256_Context *context, /*@out@*/uint8_t digest[SHA256_DIGEST_SIZE]);
      |                                                           ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o configparser.o configparser.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o database.o database.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o freespace.o freespace.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o hooks.o hooks.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o log.o log.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o changes.o changes.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o incoming.o incoming.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o uploaderslist.o uploaderslist.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o guesscomponent.o guesscomponent.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o files.o files.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o md5.o md5.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o dirs.o dirs.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o chunks.o chunks.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o reference.o reference.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o binaries.o binaries.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o sources.o sources.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o checks.o checks.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o names.o names.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o dpkgversions.o dpkgversions.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o release.o release.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o mprintf.o mprintf.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o updates.o updates.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o strlist.o strlist.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o signature_check.o signature_check.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o signedfile.o signedfile.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o signature.o signature.c
signature.c: In function 'signature_getpassphrase':
signature.c:63:9: warning: ignoring return value of 'write' declared with attribute 'warn_unused_result' [-Wunused-result]
   63 |         write(fd, p, strlen(p));
      |         ^~~~~~~~~~~~~~~~~~~~~~~
signature.c:64:9: warning: ignoring return value of 'write' declared with attribute 'warn_unused_result' [-Wunused-result]
   64 |         write(fd, "\n", 1);
      |         ^~~~~~~~~~~~~~~~~~
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o distribution.o distribution.c
In file included from distribution.c:40:
configparser.h:181:17: warning: 'configparser_distribution_set_contents_dcomponents' defined but not used [-Wunused-function]
  181 | static retvalue configparser_ ## sname ## _set_ ## field(UNUSED(void *dummy), const char *name, void *data, struct configiterator *iter) { \
      |                 ^~~~~~~~~~~~~
distribution.c:458:1: note: in expansion of macro 'CFatomsublistSETPROC'
  458 | CFatomsublistSETPROC(distribution, contents_dcomponents, at_component, ddebcomponents, "DDebComponents")
      | ^~~~~~~~~~~~~~~~~~~~
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o checkindeb.o checkindeb.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o checkindsc.o checkindsc.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o checkin.o checkin.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o upgradelist.o upgradelist.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o target.o target.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o aptmethod.o aptmethod.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o downloadcache.o downloadcache.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o main.o main.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o override.o override.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o terms.o terms.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o termdecide.o termdecide.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o ignore.o ignore.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o filterlist.o filterlist.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o exports.o exports.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o tracking.o tracking.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o optionsfile.o optionsfile.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o donefile.o donefile.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o pull.o pull.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o contents.o contents.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o filelist.o filelist.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o ar.o ar.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o debfile.o debfile.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o debfilecontents.o debfilecontents.c
gcc  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-z,now -Wl,-z,defs -o reprepro outhook.o descriptions.o sizes.o sourcecheck.o byhandhook.o archallflood.o needbuild.o globmatch.o printlistformat.o diffindex.o rredpatch.o pool.o atoms.o uncompression.o remoterepository.o indexfile.o copypackages.o sourceextraction.o checksums.o readtextfile.o filecntl.o sha1.o sha256.o configparser.o database.o freespace.o hooks.o log.o changes.o incoming.o uploaderslist.o guesscomponent.o files.o md5.o dirs.o chunks.o reference.o binaries.o sources.o checks.o names.o dpkgversions.o release.o mprintf.o updates.o strlist.o signature_check.o signedfile.o signature.o distribution.o checkindeb.o checkindsc.o checkin.o upgradelist.o target.o aptmethod.o downloadcache.o main.o override.o terms.o termdecide.o ignore.o filterlist.o exports.o tracking.o optionsfile.o donefile.o pull.o contents.o filelist.o ar.o debfile.o debfilecontents.o -larchive -ldb  -llzma -lbz2 -lgpgme -lgpg-error -lz 
configparser.c: In function 'config_getinternatomlist':
configparser.c:916:21: warning: 'atom' may be used uninitialized in this function [-Wmaybe-uninitialized]
  916 |                 r = atomlist_add_uniq(&data, atom);
      |                     ^
configparser.c:897:16: note: 'atom' was declared here
  897 |         atom_t atom;
      |                ^
main.c: In function 'action_b_y_n_buildneeded':
main.c:1167:70: warning: 'arch' may be used uninitialized in this function [-Wmaybe-uninitialized]
 1167 |                 if (!atomlist_in(&distribution->architectures, arch) &&
      |                                                                      ^
main.c:1102:24: note: 'arch' was declared here
 1102 |         architecture_t arch;
      |                        ^
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o tool.o tool.c
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o chunkedit.o chunkedit.c
gcc  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-z,now -Wl,-z,defs -o changestool uncompression.o sourceextraction.o readtextfile.o filecntl.o tool.o chunkedit.o strlist.o checksums.o sha1.o sha256.o md5.o mprintf.o chunks.o signature.o dirs.o names.o ar.o debfile.o -larchive -llzma -lbz2 -lgpgme -lgpg-error -lz 
gcc -DHAVE_CONFIG_H -I.    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow -c -o rredtool.o rredtool.c
gcc  -g -O2 -ffile-prefix-map=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wlogical-op -Wshadow  -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro -Wl,-z,now -Wl,-z,defs -o rredtool rredtool.o rredpatch.o mprintf.o filecntl.o sha1.o  -llzma -lbz2 -lgpgme -lgpg-error -lz 
make[3]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
make[2]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
make[1]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
touch build-arch-stamp
touch build-indep-stamp
 debian/rules binary
dh_testdir
dh_testroot
dh_prep
dh_installdirs
/usr/bin/make install DESTDIR=/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/debian/reprepro
make[1]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
Making install in docs
make[2]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/docs'
make[3]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/docs'
make[3]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/debian/reprepro/usr/share/man/man1'
 /usr/bin/install -c -m 644 reprepro.1 changestool.1 rredtool.1 '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/debian/reprepro/usr/share/man/man1'
make[3]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/docs'
make[2]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/docs'
Making install in tests
make[2]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/tests'
make[3]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/tests'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/tests'
make[2]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/tests'
make[2]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
make[3]: Entering directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
 /usr/bin/mkdir -p '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/debian/reprepro/usr/bin'
  /usr/bin/install -c reprepro changestool rredtool '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0/debian/reprepro/usr/bin'
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
make[2]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
make[1]: Leaving directory '/builds/debdistutils/reproduce-trisquel/buildlogs/reprepro/reprepro-5.3.0'
install -D -m 644 docs/reprepro.bash_completion debian/reprepro/usr/share/bash-completion/completions/reprepro
install -D -m 644 docs/reprepro.zsh_completion debian/reprepro/usr/share/zsh/vendor-completions/_reprepro
dh_installchangelogs ChangeLog
dh_installdocs
dh_installexamples
dh_link
dh_strip
84a53b37db569e66d7d29ff0c3c0c0b34599d14d
6c0953d4f842dbefdfa16edaecebe5ca9bf7fc18
73df174a2c125efca35abcc0c40c5a3de418f244
dh_compress
dh_fixperms
dh_installdeb
dh_shlibdeps
grep -v '^reprepro:.*=' debian/reprepro.substvars > debian/reprepro.substvars.new
mv debian/reprepro.substvars.new debian/reprepro.substvars
if test -f ar.o && grep -q libarchive debian/reprepro.substvars ; then \
	echo "reprepro:Depends=" >> debian/reprepro.substvars ; \
else \
	echo "reprepro:Depends=binutils" >> debian/reprepro.substvars ; \
fi
dh_gencontrol
dh_md5sums
dh_builddeb
pkgstripfiles: processing control file: debian/reprepro/DEBIAN/control, package reprepro, directory debian/reprepro
.. removing usr/share/doc/reprepro/changelog.gz
pkgstripfiles: Truncating usr/share/doc/reprepro/changelog.Debian.gz to topmost ten records
pkgstripfiles: Running PNG optimization (using 1 cpus) for package reprepro ...
pkgstripfiles: No PNG files.
dpkg-deb: building package 'reprepro' in '../reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb'.
 dpkg-genbuildinfo -O../reprepro_5.3.0-1.4+11.0trisquel1_amd64.buildinfo
 dpkg-genchanges -O../reprepro_5.3.0-1.4+11.0trisquel1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ cd ..
+ ls -la
total 1340
drwxr-xr-x 3 root root   4096 Apr  1 23:23 .
drwxr-xr-x 3 root root   4096 Apr  1 23:22 ..
-rw-r--r-- 1 root root  54756 Apr  1 23:23 buildlog.txt
drwxr-xr-x 7 root root  12288 Apr  1 23:23 reprepro-5.3.0
-rw-r--r-- 1 root root    797 Apr  1 23:23 reprepro_5.3.0-1.4+11.0trisquel1.dsc
-rw-r--r-- 1 root root 811758 Apr  1 23:23 reprepro_5.3.0-1.4+11.0trisquel1.tar.gz
-rw-r--r-- 1 root root   8266 Apr  1 23:23 reprepro_5.3.0-1.4+11.0trisquel1_amd64.buildinfo
-rw-r--r-- 1 root root   1719 Apr  1 23:23 reprepro_5.3.0-1.4+11.0trisquel1_amd64.changes
-rw-r--r-- 1 root root 458600 Apr  1 23:23 reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb
+ find . -maxdepth 1 -type f
+ sha256sum ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.changes ./reprepro_5.3.0-1.4+11.0trisquel1.dsc ./buildlog.txt ./reprepro_5.3.0-1.4+11.0trisquel1.tar.gz ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.buildinfo
e978ba3a06a95f884f2eb22e51f37eb2e7fda6a64241f6e9cf43b146873d74a7  ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.changes
caf59fbbd5c457eff9e2a7f36e08475ccb04c05ccba02227e36566e8f0d2310d  ./reprepro_5.3.0-1.4+11.0trisquel1.dsc
877ec727627d7250b7dbfa03c68e80756ee36788b115f16169c03efee5c0e5bb  ./buildlog.txt
32dcf2c22057799cf2287a07c527e958eab1fccd1d5c12d2c9d0188907aabefd  ./reprepro_5.3.0-1.4+11.0trisquel1.tar.gz
45fe51fc4d8ed88d3e6262963032c8752be824a99b50c6020d83f61c2f22068b  ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb
7dc0336afd7690b06d81090db3fff3ad8d7efb7938295b2d139cdf66a34e32ff  ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.buildinfo
+ mkdir published
+ cd published
+ sed -e s,.*/\([^_]*\)_.*,\1,
+ echo ../reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb
+ deb=reprepro
+ cut -d' -f2
+ grep ^'
+ apt-get --print-uris --yes download reprepro
+ url=http://archive.trisquel.info/trisquel/pool/main/r/reprepro/reprepro_5.3.0-1.4%2b11.0trisquel1_amd64.deb
+ wget -q http://archive.trisquel.info/trisquel/pool/main/r/reprepro/reprepro_5.3.0-1.4%2b11.0trisquel1_amd64.deb
+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb
416d94cd226139bb5e5d32bbfef484f6ad4fa961c5aac5da0231050c68b8147c  ./reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./reprepro_5.3.0-1.4+11.0trisquel1_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
